# docker-dind.buildx-git

DIND Docker image template with git for build-x pipelines. 

pipeline sample for agola

    version: v0
    runs:
      - name: Build image
        tasks:
          - name: build docker image
            runtime:
              containers:
                - image: docker-buildx:dind-git
                  privileged: true
            working_dir: /workspace
            steps:
              - run:
                  name: buildX prepare
                  command: buildx-bgstart.sh
              - run: 
                  name: buildX build
                  command: |
                    docker login ${DOCKERLOGIN} -p ${DOCKERPASS} 
                    docker buildx build --platform linux/amd64,linux/arm64 . -t ${DOCKERIMAGE} --push
