#!/bin/sh
set -eu

dockerd-xstart.sh &

x_state="FAIL"
for i in $(seq 60)
do
  sleep 1;
  if test -e "/var/run/docker.sock"
  then
    x_state="OK"
    break
  fi
  echo "check..." $i
done

if [ "$x_state" == "FAIL" ]
then
  echo "FAILED"
  exit 9
fi

export DOCKER_HOST=unix:///var/run/docker.sock
